<?php
/**
*
* @package phpBB Extension - Forum Goal
* @copyright (c) 2016 Stoker
* @license GNU General Public License, version 2 (GPL-2.0)
*
*/

namespace stoker\forumgoal\acp;

/**
* @package acp
*/
class forumgoal_module
{
	/** @var \phpbb\config\config */
	protected $config;

	/** @var \phpbb\request\request */
	protected $request;

	/** @var \phpbb\template\template */
	protected $template;

	/** @var \phpbb\user */
	protected $user;

	/** @var string */
	public $u_action;

	public function main($id, $mode)
	{
		global $config, $request,  $template, $user;

		$this->config = $config;
		$this->request = $request;
		$this->template = $template;
		$this->user = $user;

		$this->user->add_lang('acp/common');
		$this->user->add_lang_ext('stoker/forumgoal', 'forumgoal_acp');

		$this->tpl_name = 'acp_forumgoal';
		$this->page_title = $this->user->lang('ACP_FORUMGOAL');

		$form_key = 'acp_forumgoal';
		add_form_key($form_key);

		if ($this->request->is_set_post('submit'))
		{
			if (!check_form_key($form_key))
			{
				trigger_error($user->lang('FORM_INVALID') . adm_back_link($this->u_action), E_USER_WARNING);
			}

			$forumgoal_enable = $this->request->variable('forumgoal_enable', 0);
			$this->config->set('forumgoal_enable', $forumgoal_enable);
			$this->config->set('forum_goals_display', $request->variable('forum_goals_display', 0));
			$this->config->set('forum_goals_posts_enable', $request->variable('forum_goals_posts_enable', 0));
			$this->config->set('forum_goals_posts', $request->variable('forum_goals_posts', 0));
			$this->config->set('forum_goals_topics_enable', $request->variable('forum_goals_topics_enable', 0));
			$this->config->set('forum_goals_topics', $request->variable('forum_goals_topics', 0));
			$this->config->set('forum_goals_users_enable', $request->variable('forum_goals_users_enable', 0));
			$this->config->set('forum_goals_users', $request->variable('forum_goals_users', 0));
			$this->config->set('forum_goals_files_enable', $request->variable('forum_goals_files_enable', 0));
			$this->config->set('forum_goals_files', $request->variable('forum_goals_files', 0));
			$this->config->set('forum_goals_views_enable', $request->variable('forum_goals_views_enable', 0));
			$this->config->set('forum_goals_views', $request->variable('forum_goals_views', 0));

			trigger_error($this->user->lang('CONFIG_UPDATED') . adm_back_link($this->u_action));
		}

		$this->template->assign_vars(array(
			'FORUMGOAL_ENABLE'					=> isset($this->config['forumgoal_enable']) ? $this->config['forumgoal_enable'] : '',
			'FORUM_GOALS_DISPLAY'				=> (!empty($this->config['forum_goals_display'])) ? true : false,
			'FORUM_GOALS_POSTS_ENABLE'			=> (!empty($this->config['forum_goals_posts_enable'])) ? true : false,
			'FORUM_GOALS_POSTS'					=> isset($this->config['forum_goals_posts']) ? $this->config['forum_goals_posts'] : '',
			
			'FORUM_GOALS_TOPICS_ENABLE'			=> (!empty($this->config['forum_goals_topics_enable'])) ? true : false,
			'FORUM_GOALS_TOPICS'				=> isset($this->config['forum_goals_topics']) ? $this->config['forum_goals_topics'] : '',
			'FORUM_GOALS_USERS_ENABLE'			=> (!empty($this->config['forum_goals_users_enable'])) ? true : false,
			'FORUM_GOALS_USERS'					=> isset($this->config['forum_goals_users']) ? $this->config['forum_goals_users'] : '',
			'FORUM_GOALS_FILES_ENABLE'			=> (!empty($this->config['forum_goals_files_enable'])) ? true : false,
			'FORUM_GOALS_FILES'					=> isset($this->config['forum_goals_files']) ? $this->config['forum_goals_files'] : '',
			'FORUM_GOALS_VIEWS_ENABLE'			=> (!empty($this->config['forum_goals_views_enable'])) ? true : false,
			'FORUM_GOALS_VIEWS'					=> isset($this->config['forum_goals_views']) ? $this->config['forum_goals_views'] : '',

			'U_ACTION'					=> $this->u_action,
		));
	}
}
